package steiner;

import static org.junit.Assert.*;

import org.junit.Test;

public class HeapTest {

	@Test
	public void test() {
		Heap h = new Heap(5);
		h.insert(1, 5);
		h.insert(2, 1);
		h.insert(3, 3);
		h.insert(4, 4);
		// keys of h     1 4 3 5
		// with corr id  2 4 3 1 
		
		assertEquals(h.getMin(), 2);
		
		h.decreaseKey(1, 2);
		
		assertEquals(h.getMin(), 2);
		
		h.decreaseKey(1, 0);
		
		assertEquals(h.getMin(), 1);
		
		assertEquals(h.extractMin(), 1);
		
		assertEquals(h.getMin(), 2);
	}

}
